# Class PopulationParsing

java.lang.Object
ecoparasite.population.PopulationParsing

public class PopulationParsing extends Object
Permet de parser une population spécifique via les schémas fournis.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PopulationParsing()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HashSet<Population>`
  `parseParasitesPeru(RawData peruRawData)`
  Permet, à partir d'un objet RawData, de parse les données tel que le fichier parasitesPeru est structuré.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PopulationParsing

    public PopulationParsing()

- ## Method Details

  - ### parseParasitesPeru

    public static HashSet<Population> parseParasitesPeru(RawData peruRawData)
    Permet, à partir d'un objet RawData, de parse les données tel que le fichier parasitesPeru est structuré.
    Parameters:
      `peruRawData` -
    Returns:
      Une liste des populations incluses.